%define bname   grandr
%define tarname %{bname}_applet

Name:           gnome-applet-%{bname}
Version:        0.4.1
Release:        2%{?dist}
Summary:        GNOME panel applet for XrandR

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://freshmeat.net/projects/%{tarname}
Source0:        http://freshmeat.net/redir/%{bname}/72153/url_tgz/%{tarname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel, gettext
BuildRequires:  libgnomeui-devel, gnome-panel-devel
Requires:       xorg-x11-server-utils

%description
GrandrApplet is a simple gnome-panel front end to the xrandr extension
found in Xorg 4.3+ releases.


%prep
%setup -q -n %{tarname}-%{version}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove default installed docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/*

%find_lang %{tarname}

%clean
rm -rf $RPM_BUILD_ROOT



%files -f %{tarname}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_libexecdir}/%{bname}
%{_libdir}/bonobo/servers/GrandrApplet.server
%{_datadir}/pixmaps/%{bname}.png


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 02 2008 Xavier Lamien <lxtnow@gmail.com> - 0.4.1-1
- Initial RPM release.
